## org.hibernate.engine.jdbc.spi
Interface JdbcConnectionAccess

All Superinterfaces:
  Serializable

    public interface JdbcConnectionAccess

extends Serializable

Provides centralized access to JDBC connections. Centralized to hide the complexity of accounting for contextual (multi-tenant) versus non-contextual access.

Method Summary
`Connection` `obtainConnection()`
`void` `releaseConnection(Connection connection)`

Method Detail

### obtainConnection

    Connection obtainConnection()
                                throws SQLException

  Throws:
    `SQLException`

### releaseConnection

    void releaseConnection(Connection connection)
                           throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.